
$SELECT_PLAYER_EFFECT_ID = GetNewSelectron();
$SELECT_NEUTRAL_EFFECT_ID = GetNewSelectron();
$SELECT_ENEMY_EFFECT_ID = GetNewSelectron();
$RING_EFFECT_ID = GetNewSelectron();


// player character selection decal
datablock afxZodiacData(PlayerSelectionZodiac)
{  
   texture = "~/data/effects/selectring.png";
   radius = 1.5;
   startAngle = 0.0;
   rotationRate = 0.0;
   color = "0 0.34 1 1";
   blend = normal;
   interiorHorizontalOnly = true;
};
datablock afxEffectWrapperData(PlayerSelectionEW)
{
   effect = PlayerSelectionZodiac;
   posConstraint = selected;
   fadeInTime = 0.20;
   fadeOutTime = 0.20;
};
datablock afxSelectronData(PlayerSelectionSelectron)
{
   selectionTypeStyle = $SELECT_PLAYER_EFFECT_ID;
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = PlayerSelectionEW;
};

// neutral character selection decal
datablock afxZodiacData(NeutralSelectionZodiac)
{  
   texture = "~/data/effects/selectring.png";
   radius = 1.5;
   startAngle = 0.0;
   rotationRate = 0.0;
   color = "1 0.96 0.08 1";
   blend = normal;
   interiorHorizontalOnly = true;
};
datablock afxEffectWrapperData(NeutralSelectionEW)
{
   effect = NeutralSelectionZodiac;
   posConstraint = selected;
   fadeInTime = 0.20;
   fadeOutTime = 0.20;
};
datablock afxSelectronData(NeutralSelectionSelectron)
{
   selectionTypeStyle = $SELECT_NEUTRAL_EFFECT_ID;
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = NeutralSelectionEW;
};

// enemy character selection decal
datablock afxZodiacData(EnemySelectionZodiac)
{  
   texture = "~/data/effects/selectring.png";
   radius = 1.5;
   startAngle = 0.0;
   rotationRate = 0.0;
   color = "0.91 0 0 1";
   blend = normal;
   interiorHorizontalOnly = true;
};
datablock afxEffectWrapperData(EnemySelectionEW)
{
   effect = EnemySelectionZodiac;
   posConstraint = selected;
   fadeInTime = 0.20;
   fadeOutTime = 0.20;
};
datablock afxSelectronData(EnemySelectionSelectron)
{
   selectionTypeStyle = $SELECT_ENEMY_EFFECT_ID;
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = EnemySelectionEW;
};


// woodhut ring decal
datablock afxZodiacData(RingZodiacData)
{  
   texture = "~/data/effects/woodhutring.png";
   radius = 1;
   startAngle = 0.0;
   rotationRate = 0.0;
   color = "1 1 1 1";
   blend = normal;
   interiorHorizontalOnly = true;
};
datablock afxEffectWrapperData(RingEffectData)
{
   effect = RingZodiacData;
   posConstraint = ring;
   fadeInTime = 0;
   fadeOutTime = 0;
};
datablock afxSelectronData(RingData)
{
   selectionTypeStyle = $RING_EFFECT_ID;
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = RingEffectData;
};


// construction decal
datablock afxZodiacData(ConstructionZodiac)
{
   texture = "~/data/effects/constructiondecal.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 1";
   blend = normal; // normal, additive, or subtractive
   showOnTerrain = true;
};
datablock afxEffectWrapperData(ConstructionEffect)
{
   effect = ConstructionZodiac;
   posConstraint = construction;
   fadeInTime = 0;
   fadeOutTime = 2;
};
datablock afxSelectronData(ConstructionDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = ConstructionEffect;
};

// Small Construction decal
datablock afxZodiacData(smConstructionZodiac)
{
   texture = "~/data/effects/construction_small.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 1";
   blend = normal; // normal, additive, or subtractive
   showOnTerrain = true;
};
datablock afxEffectWrapperData(smConstructionEffect)
{
   effect = smConstructionZodiac;
   posConstraint = construction;
   fadeInTime = 0;
   fadeOutTime = 2;
};
datablock afxSelectronData(smConstructionDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = smConstructionEffect;
};

// destruction decal
datablock afxZodiacData(DestructionZodiac)
{
   texture = "~/data/effects/destructiondecal.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 1";
   blend = normal; // normal, additive, or subtractive
   showOnTerrain = true;
};
datablock afxEffectWrapperData(DestructionEffect)
{
   effect = DestructionZodiac;
   posConstraint = destruction;
   fadeInTime = 0;
   fadeOutTime = 2;
};
datablock afxSelectronData(DestructionDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = DestructionEffect;
};
// Small destruction decal
datablock afxZodiacData(smDestructionZodiac)
{
   texture = "~/data/effects/destruction_small.png";
   radius = 1;
   startAngle = 0;
   growInTime = 0;
   shrinkOutTime = 0;
   growthRate = 0;
   color = "1 1 1 1";
   blend = normal; // normal, additive, or subtractive
   showOnTerrain = true;
};
datablock afxEffectWrapperData(smDestructionEffect)
{
   effect = smDestructionZodiac;
   posConstraint = destruction;
   fadeInTime = 0;
   fadeOutTime = 2;
};
datablock afxSelectronData(smDestructionDecal)
{
   selectionTypeStyle = GetNewSelectron();
   selectionTypeMask = $TypeMasks::SLGameObjectType;

   mainDur = $AFX::INFINITE_TIME;

   addMainEffect = smDestructionEffect;
};

datablock StaticShapeData(DragShapeData)
{
   shapeFile = "~/data/shapes/effects/dragball.dts";

};
